Intel® Developer Cloud
Help connecting to or getting started on Intel® Developer Cloud
162 Discussions

MLOps Professional cert course Lab 5: JupyterLab timeout on devcloud

redbaron
Beginner
333 Views

Trying to do Lab5 in the MLOps Professional course package.

Step1: Go to https://console.cloud.intel.com/training

Step 2: Select Launch JupyterLab from top right.

Step 3: Run IntelPyTorch_Optimizations.py -dtype "fp32"

(pytorch) u435e22636970ae15c85a7848b16002f@idc-beta-batch-pvc-node-14:~$ python IntelPyTorch_Optimizations.py -dtype "fp32"
[2024-05-19 21:03:36,618] [INFO] [real_accelerator.py:191:get_accelerator] Setting ds_accelerator to cpu (auto detect)
Traceback (most recent call last):
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/urllib/request.py", line 1346, in do_open
    h.request(req.get_method(), req.selector, req.data, headers,
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/http/client.py", line 1285, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/http/client.py", line 1331, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/http/client.py", line 1280, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/http/client.py", line 1040, in _send_output
    self.send(msg)
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/http/client.py", line 980, in send
    self.connect()
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/http/client.py", line 1454, in connect
    self.sock = self._context.wrap_socket(self.sock,
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/ssl.py", line 501, in wrap_socket
    return self.sslsocket_class._create(
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/ssl.py", line 1074, in _create
    self.do_handshake()
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/ssl.py", line 1343, in do_handshake
    self._sslobj.do_handshake()
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/u435e22636970ae15c85a7848b16002f/certified-developer/MLOps_Professional/lab5/sample/IntelPyTorch_Optimizations.py", line 138, in <module>
    main(FLAGS)
  File "/home/u435e22636970ae15c85a7848b16002f/certified-developer/MLOps_Professional/lab5/sample/IntelPyTorch_Optimizations.py", line 108, in main
    train_dataset = torchvision.datasets.CIFAR10(
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/site-packages/torchvision/datasets/cifar.py", line 65, in __init__
    self.download()
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/site-packages/torchvision/datasets/cifar.py", line 139, in download
    download_and_extract_archive(self.url, self.root, filename=self.filename, md5=self.tgz_md5)
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/site-packages/torchvision/datasets/utils.py", line 378, in download_and_extract_archive
    download_url(url, download_root, filename, md5)
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/site-packages/torchvision/datasets/utils.py", line 130, in download_url
    url = _get_redirect_url(url, max_hops=max_redirect_hops)
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/site-packages/torchvision/datasets/utils.py", line 78, in _get_redirect_url
    with urllib.request.urlopen(urllib.request.Request(url, headers=headers)) as response:
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/urllib/request.py", line 214, in urlopen
    return opener.open(url, data, timeout)
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/urllib/request.py", line 517, in open
    response = self._open(req, data)
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/urllib/request.py", line 534, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/urllib/request.py", line 1389, in https_open
    return self.do_open(http.client.HTTPSConnection, req,
  File "/opt/intel/oneapi/intelpython/envs/pytorch/lib/python3.9/urllib/request.py", line 1349, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [Errno 104] Connection reset by peer>

 

Labels (1)
0 Kudos
1 Solution
Megat_Intel
Moderator
279 Views

Hi Redbaron,

Thank you for reaching out to us.

 

For your information, the Intel® Certified Developer MLOps Professional is out of our support. Instead, you may contact the Intel® Certified Developer Program for support via this link. Hope this helps.

 

 

Regards,

Megat


View solution in original post

0 Kudos
2 Replies
Megat_Intel
Moderator
280 Views

Hi Redbaron,

Thank you for reaching out to us.

 

For your information, the Intel® Certified Developer MLOps Professional is out of our support. Instead, you may contact the Intel® Certified Developer Program for support via this link. Hope this helps.

 

 

Regards,

Megat


0 Kudos
Megat_Intel
Moderator
175 Views

Hi Redbaron,

Thank you for your question. This thread will no longer be monitored since we have provided a suggestion. If you need any additional information from Intel, please submit a new question.

 

 

Regards,

Megat


0 Kudos
Reply